package org.gcube.portlets.user.geoportaldataviewer.shared.gis.wfs;

import java.io.Serializable;

/**
 * The Class FeatureGeoemtry.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 *         Oct 29, 2020
 */
public class FeatureGeometry implements WFSGeometry, Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 6251162740446739453L;
	private String type;
	private PointsPath path;

	public FeatureGeometry() {
	}

	public FeatureGeometry(String type, PointsPath path) {
		super();
		this.type = type;
		this.path = path;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public PointsPath getPath() {
		return path;
	}

	public void setPath(PointsPath path) {
		this.path = path;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("FeatureGeometry [type=");
		builder.append(type);
		builder.append(", path=");
		builder.append(path);
		builder.append("]");
		return builder.toString();
	}

}
